#include "blitz/protocol/packets/PlayerLoginPacket.h"

namespace blitz {
namespace protocol {

DataBuffer PlayerLoginPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_PlayerName;
	return data;
}

void PlayerLoginPacket::Deserialize(DataBuffer& data) {
	data >> m_PlayerName;
}

}  // namespace protocol
}  // namespace blitz
